Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Class ConfigurationError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              weblogic.utils.NestedError
                  weblogic.management.configuration.ConfigurationError

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public final class ConfigurationError
extends weblogic.utils.NestedError

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Constructor Summary
`ConfigurationError(String message)` Constructor for the ConfigurationError object
`ConfigurationError(String message, Throwable t)` Constructor for the ConfigurationError object
`ConfigurationError(Throwable t)` Constructor for the ConfigurationError object

Methods inherited from class weblogic.utils.NestedError
`getNested, getNestedError, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigurationError

    public ConfigurationError(String message)

  Constructor for the ConfigurationError object

### ConfigurationError

    public ConfigurationError(String message,
                              Throwable t)

  Constructor for the ConfigurationError object

### ConfigurationError

    public ConfigurationError(Throwable t)

  Constructor for the ConfigurationError object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD